#import "TouchExplorerViewController.h"

@implementation TouchExplorerViewController
@synthesize messageLabel, tapsLabel, touchesLabel, locationLabel;


- (void)updateLabelsFromTouches:(NSSet *)touches
	{
	NSUInteger numTaps = [[touches anyObject] tapCount];
	NSString *numTapsMessage = [[NSString alloc] initWithFormat:@"Number Of Taps: %i", numTaps];
	tapsLabel.text = numTapsMessage;
	[numTapsMessage release];
	
	NSUInteger numTouches = [touches count];
	NSString *numTouchesMessage = [[NSString alloc] initWithFormat:@"Number Of Touches: %i", numTouches];
	touchesLabel.text = numTouchesMessage;
	[numTouchesMessage release];
	
	//UITouch *touch = [touches anyObject];
	CGPoint touchLocation = [[touches anyObject] locationInView:self.view];
	NSString *locationMessage = [[NSString alloc] initWithFormat:@"Location: X = %.0f Y = %.0f", touchLocation.x, touchLocation.y];
	locationLabel.text = locationMessage;
	[locationMessage release];
	}

- (void)dealloc
	{
	[messageLabel release];
	[tapsLabel release];
	[touchesLabel release];
	[super dealloc];
	}

#pragma mark Touch Methods

- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
	{
	messageLabel.text = @"Touches Began";
	[self updateLabelsFromTouches:touches];
	}
	
- (void)touchesCancelled:(NSSet *)touches withEvent:(UIEvent *)event
	{
	messageLabel.text = @"Touches Cancelled";
	[self updateLabelsFromTouches:touches];
	}
	
- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
	{
	messageLabel.text = @"Touches Stopped";
	[self updateLabelsFromTouches:touches];
	}
	
- (void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event
	{
	self.messageLabel.text = @"Drag Detected";
	[self updateLabelsFromTouches:touches];
	}


@end
